# Uses of Enum Class
net.shibboleth.shared.xml.XMLSpace

Packages that use XMLSpace
Package
Description
net.shibboleth.shared.xml
APIs for parsing and using XML.

## Uses of XMLSpace in net.shibboleth.shared.xml

Methods in net.shibboleth.shared.xml that return XMLSpace
Modifier and Type
Method
Description
`static XMLSpace`
AttributeSupport.`getXMLSpace(Element element)`
Gets the `xml:space` attribute from a given Element.
`static XMLSpace`
XMLSpace.`parseValue(String value)`
Parse a string value into an XMLSpaceEnum.
`static XMLSpace`
XMLSpace.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XMLSpace[]`
XMLSpace.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.shared.xml with parameters of type XMLSpace
Modifier and Type
Method
Description
`static void`
AttributeSupport.`addXMLSpace(Element element, XMLSpace space)`
Adds a `xml:space` attribute to the given Element.